Bug 209806

Summary: textproc/libxml2: Update to 2.9.4
Product: Ports & Packages Reporter: Kurt Jaeger <pi>
Component: Individual Port(s)Assignee: freebsd-gnome (Nobody) <gnome>
Status: Closed FIXED    
Severity: Affects Only Me CC: cpm, gnome, kwm, pi, pkubaj
Priority: --- Keywords: patch, patch-ready
Version: LatestFlags: bugzilla: maintainer-feedback? (gnome)
pkubaj: merge-quarterly?
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
none
patch cpm: maintainer-approval? (gnome)

Description Kurt Jaeger freebsd_committer 2016-05-28 06:18:43 UTC
Created attachment 170743 [details]
patch

testbuilds are fine, portlint is OK

Changes:
  http://xmlsoft.org/news.html
- Among them several security fixes
Comment 1 Piotr Kubaj freebsd_committer 2016-06-02 21:12:23 UTC
Since they are security fixes, they should be MFH'd.
Comment 2 Carlos J. Puga Medina freebsd_committer 2016-08-25 22:10:05 UTC
Created attachment 174078 [details]
patch

Add LICENSE block.
Comment 3 commit-hook freebsd_committer 2016-08-28 19:18:40 UTC
A commit references this bug:

Author: kwm
Date: Sun Aug 28 19:18:21 UTC 2016
New revision: 421031
URL: https://svnweb.freebsd.org/changeset/ports/421031

Log:
  Update libxml2 to 2.9.4.

  Add license block.
  Pull extra patch to fix NULL pointer deref. [1]

  Changelog:	https://mail.gnome.org/archives/xml/2016-May/msg00023.html

  PR:		209806
  Submitted by:	pi@
  Obtained from:	upstream [1]
  MFH:		2016Q3
  Security:	e195679d-045b-4953-bb33-be0073ba2ac6

Changes:
  head/textproc/libxml2/Makefile
  head/textproc/libxml2/distinfo
  head/textproc/libxml2/files/patch-d8083bf
  head/textproc/py-libxml2/Makefile
  head/textproc/py3-libxml2/Makefile
Comment 4 Koop Mast freebsd_committer 2016-08-28 19:25:07 UTC
Committed thanks!
Comment 5 commit-hook freebsd_committer 2016-08-29 06:20:26 UTC
A commit references this bug:

Author: kwm
Date: Mon Aug 29 06:20:14 UTC 2016
New revision: 421043
URL: https://svnweb.freebsd.org/changeset/ports/421043

Log:
  MFH: r421031

  Update libxml2 to 2.9.4.

  Add license block.
  Pull extra patch to fix NULL pointer deref. [1]

  Changelog:	https://mail.gnome.org/archives/xml/2016-May/msg00023.html

  PR:		209806
  Submitted by:	pi@
  Obtained from:	upstream [1]
  Security:	e195679d-045b-4953-bb33-be0073ba2ac6

  Approved by:	ports-secteam (junovitch@)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/textproc/libxml2/Makefile
  branches/2016Q3/textproc/libxml2/distinfo
  branches/2016Q3/textproc/libxml2/files/patch-d8083bf
  branches/2016Q3/textproc/py-libxml2/Makefile
  branches/2016Q3/textproc/py3-libxml2/Makefile
Comment 6 commit-hook freebsd_committer 2016-08-31 20:14:53 UTC
A commit references this bug:

Author: marino
Date: Wed Aug 31 20:13:51 UTC 2016
New revision: 421190
URL: https://svnweb.freebsd.org/changeset/ports/421190

Log:
  textproc/libxml2: remove LICENSE block to unbreak libxml2-reference

  The addition of the MIT licence block broke at least the
  textproc/libxml2-reference port due to how the helper script
  bsd.gnome-reference.mk works.  Removed at the request of person that
  suggested the license be added [2].

  PR:		209806

  PR:		212265 [2]
  Reported by:	cpm

Changes:
  head/textproc/libxml2/Makefile
Comment 7 commit-hook freebsd_committer 2016-09-06 18:29:12 UTC
A commit references this bug:

Author: cpm
Date: Tue Sep  6 18:28:15 UTC 2016
New revision: 421459
URL: https://svnweb.freebsd.org/changeset/ports/421459

Log:
  MFH: r421190

  textproc/libxml2: remove LICENSE block to unbreak libxml2-reference

  The addition of the MIT licence block broke at least the
  textproc/libxml2-reference port due to how the helper script
  bsd.gnome-reference.mk works.  Removed at the request of person that
  suggested the license be added [2].

  PR:		209806

  PR:		212265 [2]
  Reported by:	cpm

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/textproc/libxml2/Makefile